<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="horizontal"
    android:background="@color/black"
    android:layout_width="match_parent" android:layout_height="match_parent" >

   <com.idata.ocr.iocr.CameraSurfaceView
       android:id="@+id/previewView"
       android:layout_gravity="top|center_horizontal"
       android:layout_width="match_parent" android:layout_height="match_parent" />

   <TextView
       android:id="@+id/validRect"
       android:layout_gravity="top|center_horizontal"
       android:background="@drawable/shape_valid_rect" android:visibility="gone"
       android:layout_width="match_parent" android:layout_height="match_parent" />

    <LinearLayout
        android:orientation="horizontal"
        android:layout_margin="10dp" android:layout_gravity="center_horizontal|bottom"
        android:layout_width="match_parent" android:layout_height="50dp" >

        <Button
            android:id="@+id/btSmall"
            android:text="X1"
            android:layout_weight="1" android:layout_marginRight="10dp"
            android:layout_width="wrap_content" android:layout_height="match_parent" />

        <Button
            android:id="@+id/btMedium"
            android:text="X2"
            android:layout_weight="1" android:layout_marginRight="10dp"
            android:layout_width="wrap_content" android:layout_height="match_parent" />

        <Button
            android:id="@+id/btFull"
            android:text="Full"
            android:layout_weight="1" android:layout_marginRight="10dp"
            android:layout_width="wrap_content" android:layout_height="match_parent" />

        <Button
            android:id="@+id/btTakePic"
            android:text="识别"
            android:layout_weight="1"
            android:layout_width="wrap_content" android:layout_height="match_parent" />

    </LinearLayout>

</FrameLayout>